Bug 434133 - kdissert failed massrebuild attempt for GCC 4.3
kdissert failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdissert (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43rebuildfail
  Show dependency treegraph
 
Reported: 2008-02-22 08:08 EST by Jesse Keating
Modified: 2013-01-09 21:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 09:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 08:08:50 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=439625
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Tyler Owen 2008-02-26 07:02:40 EST
Checking for kde-config                 : [91mkde-config was NOT found in
your PATH[0m 
Make sure kde is installed properly
(missing package kdebase-devel?)
Comment 2 Christopher Aillon 2008-03-28 23:18:45 EDT
-kdelibs-devel
+kdelibs3-devel

which actually starts to compile, but still fails with:

../src/kdissert/canvasview/DCanvasLink.cpp: In member function 'void
DCanvasLink::setPosThickWeb()':
../src/kdissert/canvasview/DCanvasLink.cpp:308: error: 'abs' was not declared in
this scope

http://koji.fedoraproject.org/koji/getfile?taskID=537174&name=build.log
Comment 3 Rex Dieter 2008-04-01 09:51:26 EDT
fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.